### File

`src/app/pages/pages.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `app-pages`
styleUrls | `./pages.component.scss`
templateUrl | `./pages.component.html`

### Index

###### Properties
url

### Constructor

`constructor()`
Defined in src/app/pages/pages.component.ts:11

### Properties

url
Type : `string`
Default value : `environment.dashboardUrl`
Defined in src/app/pages/pages.component.ts:11

    import { ChangeDetectionStrategy, Component } from '@angular/core';
    import { environment } from '@src/environments/environment';

    @Component({
      selector: 'app-pages',
      templateUrl: './pages.component.html',
      styleUrls: ['./pages.component.scss'],
      changeDetection: ChangeDetectionStrategy.OnPush,
    })
    export class PagesComponent {
      url: string = environment.dashboardUrl;

      constructor() {}
    }

    <!-- Begin page -->
    <div class="wrapper">
      <app-sidebar></app-sidebar>

      <!-- ============================================================== -->
      <!-- Start Page Content here -->
      <!-- ============================================================== -->

      <div id="content">
        <app-topbar></app-topbar>
        <!-- Start Content-->
        <div class="container-fluid" appMenuSelection>
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
              <li class="breadcrumb-item active" aria-current="page">Home</li>
            </ol>
          </nav>
          <div class="embed-responsive embed-responsive-16by9">
            <iframe
              class="embed-responsive-item"
              [src]="url | safe"
              allow="fullscreen"
              loading="lazy"
              title="Community inclusion currencies dashboard"
              referrerpolicy="no-referrer"
            >
              <p>
                <a href="{{ url }}"> Your browser does not support iframes. </a>
              </p>
            </iframe>
          </div>
        </div>
        <app-footer appMenuSelection></app-footer>
      </div>
      <!-- ============================================================== -->
      <!-- End Page content -->
      <!-- ============================================================== -->
    </div>

`./pages.component.scss`

Legend
Html element
Component
Html element with directive

# result-matching ""

# No results matching ""